---
type: api
title: Get exception list items
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-findexceptionlistitems
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-findexceptionlistitems
products:
  - Kibana
---

# Get exception list items

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/exception_lists/items/_find`
- `GET` `/s/{space_id}/api/exception_lists/items/_find`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get a list of all exception list items in the specified list.

## Query String Parameters

- `list_id` ([] string)
  The `list_id`s of the items to fetch.
- `filter` ([] string · default: [])
  Filters the returned results according to the value of the specified field,
using the `<field name>:<field value>` syntax.
- `namespace_type` ([] enum  · default: [
  "single"
])
  Determines whether the returned containers are Kibana associated with a Kibana space
or available in all spaces (`agnostic` or `single`)
  Values: `agnostic`, `single`
- `search` (string)
  Free-text search term applied to exception list item fields (for example a hostname or file path fragment).
- `page` (integer · min: 0)
  The page number to return
- `per_page` (integer · min: 0)
  The number of exception list items to return per page
- `sort_field` (string · min: 1)
  Determines which field is used to sort the results.
- `sort_order` (enum)
  Determines the sort order, which can be `desc` or `asc`.
  Values: `desc`, `asc`

## Responses

#### `200`

Successful response

`application/json`

- `data` ([] object)
  - `_version` (string)
    The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
  - `comments` ([] object)
    Array of comment fields:

- comment (string): Comments about the exception item.
    - `comment` (string · min: 1)
      A string that does not contain only whitespace characters
    - `created_at` (string)
      Autogenerated date of object creation.
    - `created_by` (string · min: 1)
      A string that does not contain only whitespace characters
    - `id` (string · min: 1)
      A string that does not contain only whitespace characters
    - `updated_at` (string)
      Autogenerated date of last object update.
    - `updated_by` (string · min: 1)
      A string that does not contain only whitespace characters
  - `created_at` (string)
    Autogenerated date of object creation.
  - `created_by` (string)
    Autogenerated value - user that created object.
  - `description` (string)
    Describes the exception list.
  - `entries` ([] object)
  - `expire_time` (string)
    The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
  - `id` (string · min: 1)
    Exception's identifier.
  - `item_id` (string · min: 1)
    Human readable string identifier, e.g. `trusted-linux-processes`
  - `list_id` (string · min: 1)
    The exception list's human-readable string identifier.

For endpoint artifacts, use one of the following values:

* `endpoint_list`: Elastic Endpoint exceptions list
* `endpoint_trusted_apps`: Trusted applications list
* `endpoint_trusted_devices`: Trusted devices list
* `endpoint_event_filters`: Event filters list
* `endpoint_host_isolation_exceptions`: Host isolation exceptions list
* `endpoint_blocklists`: Blocklist
  - `meta` (object)
  - `name` (string · min: 1)
    Exception list name.
  - `namespace_type` (enum)
    Determines whether the exception container is available in all Kibana spaces or just the space
in which it is created, where:

- `single`: Only available in the Kibana space in which it is created.
- `agnostic`: Available in all Kibana spaces.

For endpoint artifacts, the `namespace_type` must always be `agnostic`. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments.
    Values: `agnostic`, `single`
  - `os_types` ([] object)
    Values: `linux`, `macos`, `windows`
  - `tags` ([] object)
  - `tie_breaker_id` (string)
    Field used in search to ensure all containers are sorted and returned correctly.
  - `type` (enum)
    Values: `simple`
  - `updated_at` (string)
    Autogenerated date of last object update.
  - `updated_by` (string)
    Autogenerated value - user that last updated object.
- `page` (integer · min: 1)
- `per_page` (integer · min: 1)
- `pit` (string)
- `total` (integer · min: 0)
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `404`

Exception list not found response

`application/json`

- `message` (string)
- `status_code` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
GET /api/exception_lists/items/_find?list_id={list_id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/exception_lists/items/_find?list_id={list_id}"
```

## Response Examples

#### Simple list items

```json
{
  "data": [
    {
      "_version": "WzgsMV0=",
      "comments": [],
      "created_at": "2025-01-07T21:12:25.512Z",
      "created_by": "elastic",
      "description": "This is a sample exception item.",
      "entries": [
        {
          "field": "actingProcess.file.signer",
          "operator": "excluded",
          "type": "exists"
        },
        {
          "field": "host.name",
          "operator": "included",
          "type": "match_any",
          "value": [
            "jupiter",
            "saturn"
          ]
        }
      ],
      "id": "459c5e7e-f8b2-4f0b-b136-c1fc702f72da",
      "item_id": "simple_list_item",
      "list_id": "simple_list",
      "name": "Sample Exception List Item",
      "namespace_type": "single",
      "os_types": [
        "linux"
      ],
      "tags": [
        "malware"
      ],
      "tie_breaker_id": "ad0754ff-7b19-49ca-b73e-e6aff6bfa2d0",
      "type": "simple",
      "updated_at": "2025-01-07T21:12:25.512Z",
      "updated_by": "elastic"
    }
  ],
  "page": 1,
  "per_page": 20,
  "total": 1
}
```

#### Bad

```json
{
  "error": "Bad Request",
  "message": "[request query]: namespace_type.0: Invalid enum value. Expected \u0027agnostic\u0027 | \u0027single\u0027, received \u0027blob\u0027",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [GET /api/exception_lists/items/_find?list_id=simple_list\u0026namespace_type=single] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
  "statusCode": 403
}
```

#### Not found

```json
{
  "message": "exception list list_id: \u0022foo\u0022 does not exist",
  "status_code": 404
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

